Skip to content

Get Single Rating

GET
/api/agents/learning/ratings/{operation_id}

Return one submitted rating by operation id.

Lets the UI refresh a single row after an edit without refetching the whole list — and completes the CRUD surface for API consumers.

operation_id
required
Operation Id
string

Successful Response

UserRatingRecord

Single submitted user rating — one row in the ratings list.

object
operationId
required
Operationid
string
agentName
required
Agentname
string
rating
required
Rating
string
Allowed values: good bad premature necessary
feedback
required
Feedback
string
timestamp
required
Timestamp
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object